% clear all; clc;
% [x1,fs,bit]=wavread('M:\IIL\LisztZeneakademia_Nagyterem\ImpulseNR\z_0_A_c1_i.wav');
% [x1,fs,bit]=wavread('M:\IIL\LisztZeneakademia_Nagyterem\ImpulseNR\z_27_K_c1_i.wav');
% [x1,fs,bit]=wavread('M:\IIL\LisztZeneakademia_Nagyterem\ImpulseNR\z_33_R_c1_i.wav');

function y=lecsenges_szepito(x1,DB,THOLD)
fs=48000;

S1=smooth(20.*log10(x1.^2),length(x1)/100);

S1=S1-max(S1);

start=inicio(x1)+400;
tt=1:1:length(S1);
LIM=find(S1(start:end)<-DB,1,'first')+start;
brob = robustfit(tt(start:LIM),S1(start:LIM));
S2=brob(2).*tt'+brob(1);
S2(S2>0)=0;

% hold all;
% plot(S1); plot(S2);
% hold off;

% THOLD=6;
env=zeros(size(x1));
hol=S1+THOLD>S2;
env(hol)= (S2(hol)-(S1(hol)));
    env(abs(env)<THOLD)=0;
    env=smooth(env,length(x1)/50);
    env(env>0)=0; % nem erősitünk
    env(1:1*fs)=0; % első 1 sec-et békén hagyjuk
    
% plot(env);

env=10.^(env./30);

y=x1.*env;
% hold all;
% plot(dipl_edc(x1));
% plot(dipl_edc(x1.*env));
% hold off;